
Foreman - Bug #26606

Support gridster for plugins

04/12/2019 02:41 PM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Plugin integration   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6675

  

Description

As gridster is now initialized only on content load of dashboard page, plugins need a way how to initialize it themselves when they

use it on plugin pages.

Related issues:

Related to Foreman - Refactor #26192: move dashboard.js to webpack Closed

Related to Foreman - Refactor #26790: Recognize ES6 syntax in asset pipeline ... Rejected

Blocks OpenSCAP - Bug #26604: Broken layout on policy dashboard Closed

Associated revisions

Revision d86f555e - 04/15/2019 07:43 AM - Ondřej Pražák

Fixes #26606 - Support gridster for plugins

History

#1 - 04/12/2019 02:42 PM - Ondřej Pražák

- Related to Refactor #26192: move dashboard.js to webpack added

#2 - 04/12/2019 02:42 PM - Ondřej Pražák

- Blocks Bug #26604: Broken layout on policy dashboard added

#3 - 04/12/2019 02:45 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6675 added

#4 - 04/15/2019 07:43 AM - Tomer Brisker

- Fixed in Releases 1.22.0 added

#5 - 04/15/2019 07:43 AM - Tomer Brisker

- Category set to Plugin integration

#6 - 04/15/2019 08:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset d86f555e01c30c3389d50f2f386e3b86c2f1c4fe.

#7 - 05/14/2019 11:18 AM - Ondřej Pražák

- Related to Refactor #26790: Recognize ES6 syntax in asset pipeline when compressing for production added
